# noticeUwuzu

# Overview

Automatic notification bot for uwuzu

# Functions

- Time notification
- Earthquake information notification
  - Earthquake Early Warning
  - Earthquake occurs
  - Tsunami forecast
- Weather notification
- Commands that users can use freely
  - About BOT
  - Command Help
  - Report to the operator
  - Follow back
  - Unfollow
  - Weather Repost
  - Make it a quote
- Startup requirements check
  - Check package existence
  - Required package version check
  - Check uwuzu API
  - Check the configuration file
- Version change notification
- ASCII art at startup
- Confirm normal completion

# Config
An example configuration file is available in `examples/config.ts`.

# Start the server

```bash
npm install
npm run build
npm run start
```
Recommended Node.js version: v22.16.0

# License
[Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0)
